@import 'settings';

.ScrollNav {
    position: fixed;
    z-index: $zindex-fixed;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);

    > * {
        display: block;
        padding: 0;
        line-height: 1;
        width: 15px;
        height: 15px;
        margin: 15px 0;
        border: solid $blue 2px;
        border-radius: 50%;
        background: transparent;

        &.active {
            background: $blue;
        }
    }

    &.white > * {
        border-color: $white;

        &:not(.active) {
            background: $white;
        }
    }

    @media #{$tablet-down} {
        > * {
            width: 12px;
            height: 12px;
            border-width: 1px;
        }
    }
}
